org.apache.storm.generated

## Enum LogLevelAction

- java.lang.Object
- - java.lang.Enum<LogLevelAction>
  - - org.apache.storm.generated.LogLevelAction

- All Implemented Interfaces:
    Serializable, Comparable<LogLevelAction>, org.apache.storm.thrift.TEnum

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public enum LogLevelAction
      extends Enum<LogLevelAction>
      implements org.apache.storm.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REMOVE`
    `UNCHANGED`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogLevelAction` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static LogLevelAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogLevelAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHANGED

          public static final LogLevelAction UNCHANGED

    - #### UPDATE

          public static final LogLevelAction UPDATE

    - #### REMOVE

          public static final LogLevelAction REMOVE

  - ### Method Detail

    - #### values

          public static LogLevelAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevelAction c : LogLevelAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevelAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.

      Specified by:
        `getValue` in interface `org.apache.storm.thrift.TEnum`

    - #### findByValue

          public static LogLevelAction findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.

      Returns:
        null if the value is not found.

Copyright © 2021 The Apache Software Foundation. All rights reserved.